
def merge_dicts(dict1, dict2):
    for key, value in dict2.items():
        if key in dict1 and isinstance(value, dict) and isinstance(dict1[key], dict):
            merge_dicts(dict1[key], value)  # recursive merge
        else:
            dict1[key] = value
    return dict1


# https://python-reference.readthedocs.io/en/latest/docs/dict/update.html
# https://stackoverflow.com/questions/38987/how-do-i-merge-two-dictionaries-in-a-single-expression-in-python


def merge_dicts(first, second):
    merged = copy.deepcopy(first)
    merged.update(second)
    return merged


def merge_json(first, second):
    return merge_dicts(json.loads(first), json.loads(second))
